## org.gnu.gtk
Class AspectFrame

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Frame
                                  org.gnu.gtk.AspectFrame

public class AspectFrame
extends Frame

This container widget wraps a single widget in a frame with a label, and imposes an aspect ratio on the child widget. It is useful when you want to pack a widget so that it can be resized but always retain the same aspect ratio.

Constructor Summary
`AspectFrame(org.gnu.glib.Handle handle)` Construct an AspectFrame using a handle to a native resource.
`AspectFrame(java.lang.String label, double xAlign, double yAlign, double ratio, boolean obeyChild)` Construct a new AspectFrame.

Method Summary
`static AspectFrame` `getAspectFrame(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setAspect(double xAlign, double yAlign, double ratio, boolean obeyChild)` Set the aspect for an already created AspectFrame.

Methods inherited from class org.gnu.gtk.Frame
`getFrame, getLabel, getLabelAlign, getLabelWidget, getShadow, removeLabel, setLabel, setLabelAlign, setLabelWidget, setShadow`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectFrame

    public AspectFrame(java.lang.String label,
                       double xAlign,
                       double yAlign,
                       double ratio,
                       boolean obeyChild)

  Construct a new AspectFrame.

Parameters:
  `label` - The text label for the frame.
  `xAlign` - The horizontal alignment for the child within the allocation of the AspectFrame. This ranges from 0.0 (left aligned) to 1.0 (right aligned).
  `yAlign` - The vertical alignment for the child within the allocation of the AspectFrame. This ranges from 0.0 (top aligned) to 1.0 (bottom aligned).
  `ratio` - The desired aspect ration.
  `obeyChild` - If true the ratio is ignored and the aspect ratio is taken from the requisition of the child.

### AspectFrame

    public AspectFrame(org.gnu.glib.Handle handle)

  Construct an AspectFrame using a handle to a native resource.

Method Detail

### getAspectFrame

    public static AspectFrame getAspectFrame(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setAspect

    public void setAspect(double xAlign,
                          double yAlign,
                          double ratio,
                          boolean obeyChild)

  Set the aspect for an already created AspectFrame.

  Parameters:
    `xAlign` - The horizontal alignment for the child within the allocation of the AspectFrame. This ranges from 0.0 (left aligned) to 1.0 (right aligned).
    `yAlign` - The vertical alignment for the child within the allocation of the AspectFrame. This ranges from 0.0 (top aligned) to 1.0 (bottom aligned).
    `ratio` - The desired aspect ration.
    `obeyChild` - If true the ratio is ignored and the aspect ratio is taken from the requisition of the child.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.